Skip to main content
Limited Release
Feature management helps you monitor, update, and delete existing features and their privileges. You can retrieve feature configurations and modify feature settings to define what functionality customers can access in your application.

List features

Use a valid access token and make a GET call to the /v1/commerce/billing/features endpoint. Include the following query parameters:
ParameterAction
page
integer
Set the page number for paginated results. Default is 1.
per_page
integer
Set the number of items to return per page. Default is 10, maximum is 100.
curl -X GET 'https://api-m.sandbox.paypal.com/v1/commerce/billing/features?page=1&per_page=10' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <ACCESS-TOKEN>'
A successful call returns a 200 OK response with a paginated list of all configured features.

Update feature details

Use a valid access token and make a PUT call to the /v1/commerce/billing/features/{feature_code} endpoint with the modified request parameters such as name, description, and privileges. Path parameter: feature_code is the code you provided when you created the feature.
You cannot modify the feature code after creation. You can only update the name, description, and privileges.
For information on all parameters, see API reference.
curl -X PUT 'https://api-m.sandbox.paypal.com/v1/commerce/billing/features/seats' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <ACCESS-TOKEN>' \
-d '{
  "name": "User Seats",
  "description": "Maximum number of users allowed in the account",
  "privileges": [
    {
      "code": "max",
      "name": "Maximum seats",
      "value_type": "INTEGER"
    },
    {
      "code": "max_admins",
      "name": "Maximum admin users",
      "value_type": "INTEGER"
    },
    {
      "code": "root",
      "name": "Allow root user",
      "value_type": "BOOLEAN"
    },
    {
      "code": "guest_access",
      "name": "Allow guest access",
      "value_type": "BOOLEAN"
    }
  ]
}'
A successful call returns a 200 OK response with the updated feature information.

Delete privilege

Use a valid access token and make a DELETE call to the /v1/commerce/billing/features/{feature_code}/privileges/{privilege_code} endpoint to remove a specific privilege from a feature. Path parameters:
curl -X DELETE 'https://api-m.sandbox.paypal.com/v1/commerce/billing/features/seats/privileges/max_admins' \
-H 'Authorization: Bearer <ACCESS-TOKEN>'
A successful call returns a 204 No Content response.

Delete feature

Use a valid access token and make a DELETE call to the /v1/commerce/billing/features/{feature_code} endpoint to permanently delete a feature. Path parameter: feature_code is the code you provided when you created the feature.
curl -X DELETE 'https://api-m.sandbox.paypal.com/v1/commerce/billing/features/seats' \
-H 'Authorization: Bearer <ACCESS-TOKEN>'
A successful call returns a 204 No Content response.